%define perl_vendorarch %(eval "`%{_bindir}/perl -V:installvendorarch`"; echo $installvendorarch)
%define perl_vendorarch64 %(eval "`%{_bindir}/perl_64bit -V:installvendorarch`"; echo $installvendorarch)

Name:           netcdf-perl
Version:        1.2.4
Release:        1
Summary:        Perl extension module for scientific data access via the netCDF API
Group:          Development/Libraries
License:        NetCDF
URL:            http://www.unidata.ucar.edu/software/netcdf-perl/
Source0:        ftp://ftp.unidata.ucar.edu/pub/netcdf-perl/%{name}-%{version}.tar.gz
Source1:        netcdf-2.3
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  sed
BuildRequires:  perl >= 5.8.8
BuildRequires:  netcdf-devel >= 4.1.3
Requires:       perl >= 5.8.8
Requires:       perl(:MODULE_COMPAT_%(eval "`%{_bindir}/perl -V:version`"; echo $version))
Provides:       perl-NetCDF = %{version}-%{release}


%description
The netCDF Perl package is a perl extension module for scientific data access
via the netCDF API.


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
sed -i -e '1s,/usr/local/bin/perl,%{_bindir}/perl,' src/perl/test.pl
mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cp -r 32bit/* 64bit/


%build
export PERL_MANDIR=%{_mandir}
export CPP_NETCDF=-I%{_includedir}/netcdf
export LD_NETCDF="-lnetcdf"

cd 64bit/src
./configure \
    --prefix=%{_prefix}
cd perl
%{_bindir}/perl_64bit Makefile.PL INSTALLDIRS=vendor
make
cd ../../../32bit/src
./configure \
    --prefix=%{_prefix}
cd perl
%{_bindir}/perl Makefile.PL INSTALLDIRS=vendor
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

cd 64bit/src
# use the top-level Makefile only for manpage installation
make installed_manuals MANDIR=${RPM_BUILD_ROOT}%{_mandir}
cd perl
make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}
cd ../../../32bit/src/perl
make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}

/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type f -name .packlist -exec rm -f {} ';'
/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type f -name '*.bs' -empty -exec rm -f {} ';'
/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w ${RPM_BUILD_ROOT}/*

# install netcdf-2 man page
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man3
cp %{SOURCE1} ${RPM_BUILD_ROOT}%{_mandir}/man3
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man3/*


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc 32bit/src/COPYRIGHT 32bit/src/HISTORY 32bit/src/README
%doc 32bit/src/perl/test.pl
%{perl_vendorarch}/auto/*
%{perl_vendorarch64}/auto/*
%{perl_vendorarch}/NetCDF.pm
%{perl_vendorarch64}/NetCDF.pm
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*


%changelog
* Thu Jun 14 2012 Michael Perzl <michael@perzl.org> - 1.2.4-1
- first version for AIX V5.1 and higher
